Python
from engini import Engini
client = Engini() # reads ENGINI_API_KEY
client.toolsets.delete("<toolset_id>")import { Engini } from "@engini/sdk";
const client = new Engini(); // reads ENGINI_API_KEY
await client.toolsets.delete("<toolset_id>");engini toolsets delete <toolset_id> --forceconst options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/toolsets/{toolsetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}Toolsets
Delete toolset
Permanently deletes a toolset owned by the caller, including its connection and workflow associations. This does not delete the underlying connections or workflows themselves. Returns an error if the toolset does not exist.
DELETE
/
v1
/
toolsets
/
{toolsetId}
Python
from engini import Engini
client = Engini() # reads ENGINI_API_KEY
client.toolsets.delete("<toolset_id>")import { Engini } from "@engini/sdk";
const client = new Engini(); // reads ENGINI_API_KEY
await client.toolsets.delete("<toolset_id>");engini toolsets delete <toolset_id> --forceconst options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engini.io/v1/toolsets/{toolsetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}{
"errorCode": "<string>",
"message": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"details": [
{
"field": "<string>",
"issue": "<string>"
}
]
}